%----------- B-format dekoder (Semestralni prace) -------------------------
%............horizontal UHJ regular polygonal loudspeaker feeds......................
% 9.11.2008
% verze 1 
%--------------------------------------------------------------------------
function [varargout]=regPolUHJ(WF,XF,YF)
    
    n = nargout;
    a = (2*pi)/n ;

% loudspeaker at 0 rad
%     for i=0:(n-1)
%         uhel1(i+1) = i*a;
%     end 

% loudspeaker at 0 + a/2 rad
    
  b = a/2;
    for i=0:(n-1)
        uhel(i+1,1) = b + (i*a);
    end
    
% loudspeaker feeds

for k=1:n
     varargout{k}=(1/sqrt(n))*(WF + (sqrt(2)*cos(uhel(k,1))*XF) + (sqrt(2)*sin(uhel(k,1))*YF));
end  

disp('Reproduktory jsou číslovány od předního levého proti směru hod. ručiček. ')

% zapis na disk
% 
% mkdir('c:\Dekoder-vystupy','regPolygonUHJ');
% 
%     for i=1:n
%         speaker=varargout{i};
%         cislo=num2str(i);
%         text=['c:\Dekoder-vystupy\regPolygonUHJ\speaker',cislo];
%         wavwrite(0.999*(speaker/max(abs(speaker))),48000,text);
%     end
%     
    